Bug 1182492 - Ruby 2.2
Summary: Ruby 2.2
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Petr Bokoc
URL:
Whiteboard: ChangeAcceptedF22 SystemWideChange
Keywords: Tracking
Depends On: 1182966 1183312 1183313 1183314
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-15 09:33 UTC by Jaroslav Reznik
Modified: 2015-07-21 10:28 UTC (History)
3 users (show)

(edit)
== Ruby 2.2 ==

Ruby 2.2 is the latest stable version of Ruby. This update brings many changes necessary for the increasingly diverse and expanding demands of this language, including incremental and symbol garbage collection and many others.

The update also brings a soname bump; all Ruby packages which use binary extensions should be rebuilt. Ruby 2.2 preserves backward compatibility with Ruby 2.1 (introduced in Fedora 21); no changes to source code are necessary.

You can find a full list of changes in Ruby 2.2 in the changelog (https://github.com/ruby/ruby/blob/v2_2_0/NEWS). Full documentation is available at the Ruby documentation page (http://ruby-doc.org/).
Clone Of:
(edit)
Last Closed: 2015-07-21 10:28:27 UTC
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2015-01-15 09:33:40 UTC
This is a tracking bug for Change: Ruby 2.2
For more details, see: https://fedoraproject.org//wiki/Changes/Ruby_2.2

Ruby 2.2 is the latest stable version of Ruby. Many new features and improvements are included for the increasingly diverse and expanding demands for Ruby. With this major update from Ruby 2.1 in Fedora 21 to Ruby 2.2 in Fedora 22, alongside JRuby, Fedora becomes the superior Ruby development platform.

Comment 1 Mamoru TASAKA 2015-01-18 14:25:30 UTC
$ repoquery --disablerepo=\* --enablerepo=f22-ruby-i386 --whatrequires libruby.so.2.1 --qf '%{sourcerpm}\n' | sort | uniq | sed -e '\@^$@d' | cat -n
     1	libguestfs-1.29.19-1.fc22.src.rpm
     2	root-5.34.24-1.fc22.src.rpm - filed bug 
     3	rubygem-openssl_cms-0.0.2-2.20140212gitb789b69.fc22.src.rpm
     4	rubygem-therubyracer-0.11.0-7.fc22.1.src.rpm
     5	shogun-3.2.0.1-0.27.git20140804.96f3cf3.fc22.src.rpm
     6	subversion-1.8.11-1.fc22.src.rpm
     7	uwsgi-2.0.7-2.fc22.src.rpm

1. libguestfs - scratch build succeeded. While I can rebuild this, I would rather want rjones to build this by himself. Mail sent.
2. root - filed bug 1183242
3. rubygem-openssl_cms - filed bug 1183312
4, rubygem-therubyracer - filed bug 1183313
5. shogun - now building:
http://koji.fedoraproject.org/koji/buildinfo?buildID=604684
Once failed due to noarch subpackage differing between archs, so temporarily marked those subpackages as arch-dependent.
This time build will succeed.
Note that arm build takes about 9 hours - perhaps build will be complete 
around 2015/1/18 22:00UTC (2015/1/18 07:00 JST)
6: subversion : filed as bug 1183314
7 uwsgi: filed as bug 1182966

Comment 2 Mamoru TASAKA 2015-01-18 14:27:08 UTC
Unless I overlooked something, I think once all rebuilding are done. 5 packages failed, 1 building, and 1 asked to build.

I think now f22-ruby side tag can be merged into f22 tree.

Comment 3 Mamoru TASAKA 2015-01-18 22:44:46 UTC
$ repoquery --disablerepo=\* --enablerepo=f22-ruby-i386 --whatrequires libruby.so.2.1 --qf '%{sourcerpm}\n' | sort | uniq | sed -e '\@^$@d' | cat -n
     1	libguestfs-1.29.20-1.fc22.src.rpm
     2	rubygem-openssl_cms-0.0.2-2.20140212gitb789b69.fc22.src.rpm
     3	rubygem-therubyracer-0.11.0-7.fc22.1.src.rpm
     4	subversion-1.8.11-1.fc22.src.rpm
     5	uwsgi-2.0.7-2.fc22.src.rpm

root, shogun now built.

Comment 4 Mamoru TASAKA 2015-01-19 05:19:37 UTC
$ repoquery --disablerepo=\* --enablerepo=f22-ruby --whatrequires "libruby.so.2.1" --qf '%{sourcerpm}' | sort | uniq | cat -n
     1	libguestfs-1.29.20-1.fc22.src.rpm
     2	rubygem-openssl_cms-0.0.2-2.20140212gitb789b69.fc22.src.rpm
     3	subversion-1.8.11-1.fc22.src.rpm
     4	uwsgi-2.0.7-2.fc22.src.rpm

rubygem-therubyracer built

Comment 5 Mamoru TASAKA 2015-01-19 09:09:53 UTC
libguestfs is now building - perhaps should be complete around 13:30 UTC

Comment 6 Vít Ondruch 2015-01-19 09:50:19 UTC
There are still some issues remaining, for packages which are using just ruby-devel. For example, now I am looking into fantasdic which is FTBFS.

Comment 7 Mamoru TASAKA 2015-01-19 10:44:56 UTC
But they does not create dependency issue, so only packages depending on libruby.so should be considered now. Packages just depending on ruby-devel can be considered afterwards.

We should merge side tag as soon as possible - otherwise people now updates main side tag and I have to again rebuild.

Comment 8 Mamoru TASAKA 2015-01-19 10:46:13 UTC
- Additional -

Well, this is usual FTBFS status with depending packages upgraded, however again for now we should consider *dependency breakage*.

Comment 9 Vít Ondruch 2015-01-19 16:41:17 UTC
(In reply to Mamoru TASAKA from comment #4)
>      3	subversion-1.8.11-1.fc22.src.rpm

Just FTR, here is some analysis of the test suite failures:

http://mail-archives.apache.org/mod_mbox/subversion-dev/201412.mbox/browser

Comment 10 Vít Ondruch 2015-01-20 09:31:34 UTC
I asked rel-engs to merge the tag back into rawhide:

https://fedorahosted.org/rel-eng/ticket/6083#comment:3

Comment 11 Vít Ondruch 2015-01-20 14:54:44 UTC
And it was merged:

https://fedorahosted.org/rel-eng/ticket/6083#comment:4

So it should be available in a minute.

Comment 12 Jaroslav Reznik 2015-03-24 11:41:38 UTC
This message is a reminder that Fedora 22 "Change Checkpoint: 100% Code Complete Deadline" is on 2015-03-31 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Freeze is a point of contingency plan, all incomplete Changes will be reported to FESCo for 2015-04-01 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 13 Petr Bokoc 2015-04-07 16:47:30 UTC
Hello Vít, we'd like to include this change in the Fedora 22 Beta Release Notes.

Please review the draft release note in the Doc Text field and let me know if this description is sufficient, or if there's anything you'd like to add or change.

Thanks!

Comment 14 Vít Ondruch 2015-04-08 08:36:41 UTC
Release notes looks good to me. Thank you Petře.


Note You need to log in before you can comment on or make changes to this bug.